#
# spec file for package swappy
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           swappy
Version:        1.5.1
Release:        1.8
Summary:        Wayland compositor screenshot editor
License:        MIT
Group:          Productivity/Graphics/Other
URL:            https://github.com/jtheoof/swappy
Source:         https://github.com/jtheoof/swappy/archive/v%{version}.tar.gz
Source1:        https://github.com/jtheoof/swappy/releases/download/v%{version}/swappy-%{version}.tar.gz.sig
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  scdoc
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(pango)
Requires:       fontawesome-fonts
Suggests:       wl-clipboard
Suggests:       wl-clipboard-rs

%description
A Wayland native snapshot and editor tool

%lang_package

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man?/%{name}*
%{_datadir}/applications/swappy.desktop
%{_datadir}/icons/hicolor/scalable/apps/swappy.svg

%files lang -f %{name}.lang
%{_datadir}/locale/en/LC_MESSAGES/swappy.mo

%changelog
* Thu Dec  1 2022 Michael Vetter <mvetter@suse.com>
- Update to 1.5.1:
  * ui: use *-symbolic variant of toolbar icons (5dc44f8), closes #34
* Thu Dec  1 2022 Michael Vetter <mvetter@suse.com>
- Update to 1.5.0:
  * config: add early_exit option (60da549)
  * config: allow paint_mode to be configured through config file (2f35f02)
  * config: try to create save_dir if it does not exist (4fb291a)
  * ui: allow filling rectangles and ellipsis (8ee55f7), closes #120
* Wed Sep 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Removed the strict requirement for `wl-clipboard` since `wl-clipboard-rs`
  also exists. Thus, suggesting both `wl-clipboard` OR `wl-clipboard-rs`
  seems to be the most appropriate approach.
* Mon Sep  6 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.4.0:
  Features:
  * draw: draw shape from center if holding control (d80c361)
  * i18n: add french translations (cacb283)
  Bug Fixes:
  * desktop: remove annotation from desktop categories (0d383f6)
  * desktop: various fixes (42425c0)
  * i18n: add german translations to desktop file (c6b09e5)
  * i18n: add turkish translation to desktop file (fa5769e)
  * i18n: properly set translation domain during layout init (5301aeb), closes #92
  * pixbuf: handle invalid input file (cdbd06d)
  * pixbuf: handle overflow when filename_format is too long (185575b), closes #74
  * po: update GETTEXT_PACKAGE value with project name (7fd552e)
  * release: properly check sha256 remote content (91985c7), closes #90
- Remove swappy-desktopfile.patch
* Mon Feb 22 2021 Michael Vetter <mvetter@suse.com>
- Update to 1.3.1:
  * chore(script): add sign-post-release helper script
  * chore(readme): prettify readme file
  * docs(readme): add instructions to build i18n
* Thu Feb 18 2021 Michael Vetter <mvetter@suse.com>
- Updat to 1.3.0:
  Features:
  * cli: add configure options for filename save (597f005)
  * i18n: add brazilian portuguese translations (4a0eb82)
  * i18n: add german translations (b4be847)
  * i18n: add turkish translations (c8419da)
  Bug Fixes:
  * application: unlink temp file coming from stdin (c24e56a), closes #80
  * blur: optimize blur to only render after commit (27fcece)
  * blur: rgb24 is properly handled (c04ed63)
  * clipboard: wl-copy mimetype should be png (a931acb), closes #68
  * notification: notification shows the image icon (eb53e5c)
  * ui: adjust rendering surface with proper scaling (9b72571), closes #54
  * ui: commit state before copying or saving (46e5854), closes #52
  * ui: compute window sizes and buffers properly (5bcffdb), closes #56
* Mon Jul 13 2020 Michael Vetter <mvetter@suse.com>
- Update to 1.2.1:
  Bug Fixes:
  * text: properly handle utf-8 chars (717ab0c), closes #43
* Mon Jul  6 2020 Michael Vetter <mvetter@suse.com>
- Update to 1.2.0:
  * i18n: add translatable desktop file (cf3d7a5), closes #35
  * i18n: setup i18n for swappy (5b3c8ad)
- Add swappy-desktopfile.patch:
  Use X-Annotation instead of Annotation in Category
* Thu Jul  2 2020 R. Tyler Croy <rtyler@brokenco.de>
- Clean up the dependencies courtesy of Arnavion
* Thu Jul  2 2020 R. Tyler Croy <rtyler@brokenco.de>
- Initial packaging of swappy
